Bug 991393 - Can't delete connections
Can't delete connections
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 06:43 EDT by Radek Novacek
Modified: 2016-11-30 19:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-10 09:58:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl -u NetworkManager --since <before `nmcli con delete` called> (21.56 KB, text/x-log)
2013-08-02 06:43 EDT, Radek Novacek
no flags Details

  None (edit)
Description Radek Novacek 2013-08-02 06:43:13 EDT
Created attachment 781924 [details]
journalctl -u NetworkManager --since <before `nmcli con delete` called>

NetworkManager's connection won't get deleted until restart of NetworkManager.

See following commands:


[root@localhost ~]# nmcli con add type ethernet ifname ens9 con-name Test
[root@localhost ~]# nmcli con
NAME                UUID                                  TYPE            TIMESTAMP-REAL                   
eth0                69d233e3-08fb-4450-ac96-6c537cc5d343  802-3-ethernet  Thu 01 Aug 2013 02:48:45 PM CEST 
Wired connection 2  d8da3338-3ba6-48ea-944f-0aa51a803382  802-3-ethernet  never                            
DHCP                f07a6368-43c9-4976-bbe9-7168f7b23070  802-3-ethernet  Fri 02 Aug 2013 12:31:15 PM CEST 
Test                024e8980-8b3c-4a7a-aa16-6e5463fb7d2e  802-3-ethernet  never                            

# Connection created, good

[root@localhost ~]# nmcli con delete id Test # Delete the connection
[root@localhost ~]# nmcli con
NAME                UUID                                  TYPE            TIMESTAMP-REAL                   
eth0                69d233e3-08fb-4450-ac96-6c537cc5d343  802-3-ethernet  Thu 01 Aug 2013 02:48:45 PM CEST 
Wired connection 2  d8da3338-3ba6-48ea-944f-0aa51a803382  802-3-ethernet  never                            
DHCP                f07a6368-43c9-4976-bbe9-7168f7b23070  802-3-ethernet  Fri 02 Aug 2013 12:31:15 PM CEST 
Test                024e8980-8b3c-4a7a-aa16-6e5463fb7d2e  802-3-ethernet  Fri 02 Aug 2013 12:32:20 PM CEST 

# Still there


[root@localhost ~]# systemctl restart NetworkManager # restart NM
[root@localhost ~]# nmcli con
NAME                UUID                                  TYPE            TIMESTAMP-REAL                   
eth0                69d233e3-08fb-4450-ac96-6c537cc5d343  802-3-ethernet  Thu 01 Aug 2013 02:48:45 PM CEST 
Wired connection 2  d8da3338-3ba6-48ea-944f-0aa51a803382  802-3-ethernet  never                            
DHCP                f07a6368-43c9-4976-bbe9-7168f7b23070  802-3-ethernet  Fri 02 Aug 2013 12:32:35 PM CEST 
# Now its gone


Deleting by specifying UUID doesn't work either. Deleting through D-Bus also doesn't work.

journalctl output attached.

Affected version: NetworkManager-0.9.9.0-8.git20130724.fc20.x86_64
Comment 1 Fedora End Of Life 2013-09-16 10:59:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Radek Novacek 2013-10-10 09:58:16 EDT
Yes, it is fixed in NetworkManager-0.9.9.0-14.git20131003.fc21.x86_64. Thank you.

Note You need to log in before you can comment on or make changes to this bug.